Share via


Factories - Get Git Hub Access Token

Get GitHub Access Token.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/getGitHubAccessToken?api-version=2018-06-01

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
gitHubAccessCode True

string

GitHub access code.

gitHubAccessTokenBaseUrl True

string

GitHub access token base URL.

gitHubClientId

string

GitHub application client ID.

gitHubClientSecret

GitHubClientSecret

GitHub bring your own app client secret information.

Responses

Name Type Description
200 OK

GitHubAccessTokenResponse

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Factories_GetGitHubAccessToken

Sample request

POST https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/getGitHubAccessToken?api-version=2018-06-01

{
  "gitHubAccessCode": "some",
  "gitHubAccessTokenBaseUrl": "some",
  "gitHubClientId": "some"
}

Sample response

Date: Fri, 7 Sep 2018 18:42:45 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: da630ed9-35e4-41cd-9f93-be14dbcbd099
x-ms-ratelimit-remaining-subscription-reads: 1199
x-ms-request-id: da630ed9-35e4-41cd-9f93-be14dbcbd099
{
  "gitHubAccessToken": "myAccessTokenExample"
}

Definitions

Name Description
CloudError

The object that defines the structure of an Azure Data Factory error response.

GitHubAccessTokenRequest

Get GitHub access token request definition.

GitHubAccessTokenResponse

Get GitHub access token response definition.

GitHubClientSecret

Client secret information for factory's bring your own app repository configuration.

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

GitHubAccessTokenRequest

Get GitHub access token request definition.

Name Type Description
gitHubAccessCode

string

GitHub access code.

gitHubAccessTokenBaseUrl

string

GitHub access token base URL.

gitHubClientId

string

GitHub application client ID.

gitHubClientSecret

GitHubClientSecret

GitHub bring your own app client secret information.

GitHubAccessTokenResponse

Get GitHub access token response definition.

Name Type Description
gitHubAccessToken

string

GitHub access token.

GitHubClientSecret

Client secret information for factory's bring your own app repository configuration.

Name Type Description
byoaSecretAkvUrl

string

Bring your own app client secret AKV URL.

byoaSecretName

string

Bring your own app client secret name in AKV.